Subject: Re: [pim] some comments to draft-ietf-pim-sm-v2-new-08.txt

From: SUZUKI Shinsuke <[email-masked]>
Date: Tue, 04 Nov 2003 20:55:09 +0900

Hello,

>>>>> On Fri, 31 Oct 2003 16:25:26 -0800
>>>>> [email-masked](Tom Pusateri)  said:

> >>	The Interface_Address_List Option MUST be included in all
> >>	Hello messages. This option advertises all the secondary
> >>	addresses associated with the source interface of the router
> >>	originating the message.  If there is no secondary address
> >>	associated with the source interface, this option MAY be
> >>	omitted.
> >
> >I will change the text in the spec to reflect your comment.
>

> I was thinking it would be great to send the address list hello
> option regardless so that it is possible to tell that your neighbors
> all support it.  This would make it easy to diagnose problems at the
> border between two domains.

When there is no secondary address on a link, it is not so useful in
debugging whether some neighbor supports this option or not, since
this option does not affect the protocol behavior in that case.

You can estimate if other vendors carefully read the latest spec from
the Hello message:-)   This may be a reason to always include this
option, but not a reason to mandate it to all PIM-SM implementations...

Am I understanding your intension correctly?

Thanks,
----
SUZUKI, Shinsuke @ Hitachi / KAME Project

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim

---

From: SUZUKI Shinsuke <[email-masked]>
Date: Tue, 04 Nov 2003 20:55:09 +0900

Hello,

Thanks,
----